package gui;

import gui.text.*;

public class GUIText {
	
	public String getButtonDescription(String type) {return "";}
	public String getBorderTitle(String type){return "";}
	public String getCorrectAnswerText(){return "";}
	public String getAnswerBoolean(boolean correct){return "";}
	public String getComboDescription(String type){return "";}
	public String getQuestionText(){return "";}
	public String getErrorText(String type){return "";}
	public String getTabName(String type) {return "";}	
	public String translateComboItem(String s) {return "";}
	
	
	public static GUIText getGUITxtByName(String type) {
		switch (type) {
		case "Slovenčina": return new Slovak();
		case "Angličtina": return new English();
		default:  return new Slovak();			
		}
	}	
	
}
